﻿
<h2>Genres</h2>
<button id="newItem" onclick="nuevo()" class="btn btn-primary">Nuevo</button>
<input type="hidden" id="entidad" value="Genre" />

<table id="tblData">
    <thead>
        <tr>
            <th>ID</th>
            <th>Nombre</th>
            <th>Acciones</th>
        </tr>
    </thead>
    <tbody>
    </tbody>
</table>

<script src="~/js/crud/items.js"></script>
<script>
    function htmlRow(item){
        return "<tr>" +
                "<td>" + item.id + "</td>" +
                "<td>" + item.nombre + "</td>" +
                "<td>" +
                "<div class=\"button-group\">" +
                "<button onclick=\"verDetalle(" + item.id + ")\" class=\"btn btn-primary p-2\">Detalle</button>" +
                "<button onclick=\"editar(" + item.id + ")\" class=\"btn btn-warning p-2\">Editar</button>" +
                "<button onclick=\"eliminar(" + item.id + ")\" class=\"btn btn-danger p-2\">Eliminar</button>" +
                "</div>" +
                "</td>" +
                "</tr>";
    }

    cargarDatos();

</script>